Subsections

- Name
- Synopsys
- Description
- Parameters
- Example
- Errors
- See Also

##
PlaceSegment

### Name

PlaceSegment - Places a segment

### Synopsys

    PlaceSegment ( net, layer, point1, point2, width )

### Description

Placement of a segment.
The segment is created between `point1` and `point2` on the layer `layer` and with width `width`. It belongs to the net `net`.
Note that the segment must be horizontal or vertival.

### Parameters

- `net` : Net which the segment belongs to
- `layer` : Layer of the segment.
  The `layer` argument is a string wich can take different values, thanks to the technology (file described in HUR_TECHNO_NAME)
  - NWELL, PWELL, ptie, ntie, pdif, ndif, ntrans, ptrans, poly, ALU1, ALU2, ALU3, ALU4, ALU5, ALU6, VIA1, VIA2, VIA3, VIA4, VIA5, TEXT, UNDEF, SPL1, TALU1, TALU2, TALU3, TALU4, TALU5, TALU6, POLY, NTIE, PTIE, NDIF, PDIF, PTRANS, NTRANS, CALU1, CALU2, CALU3, CALU4, CALU5, CALU6, CONT_POLY, CONT_DIF_N, CONT_DIF_P, CONT_BODY_N, CONT_BODY_P, via12, via23, via34, via45, via56, via24, via25, via26, via35, via36, via46, CONT_TURN1, CONT_TURN2, CONT_TURN3, CONT_TURN4, CONT_TURN5, CONT_TURN6
- `point1`, `point2` : The segment is created between those two points

### Example

    PlaceSegment ( myNet, "ALU3", XY (10, 0), XY (10, 100), 2 )

### Errors

Some errors may occur :

- `[Stratus ERROR] PlaceSegment : Argument layer must be a string.`
- `[Stratus ERROR] PlaceSegment : Wrong argument,`
  `the coordinates of the segment must be put in XY objects.`
- `[Stratus ERROR] PlaceSegment : Segments are vertical or horizontal.`
  The two references given as argument do not describe a vertical or horizontal segment. Wether coordinate x or y of the references must be identical.

### See Also

Introduction Layout PlaceContact PlacePin PlaceRef GetRefXY ]seccopy